#ifndef	V_MMAP_H
#define	V_MMAP_H

#include <v_lib.h>

typedef vhandle_t	mmap_t;

#ifdef	__cplusplus
extern "C" {
#endif	/* __cplusplus */
	mmap_t	V_GLOBAL	mmapOpenRead(char *file_name); /* UNIX form */
	void	V_GLOBAL	mmapClose(mmap_t map);
	void_p	V_GLOBAL	mmapBase(mmap_t map);
	u32_t	V_GLOBAL	mmapSize(mmap_t map);
#ifdef	__cplusplus
}
#endif	/* __cplusplus */

#endif	/* V_MMAP_H */
